0
votes
1answer
132 views

Upgrading PostgreSQL via Homebrew

I'm attempting to update PostgreSQL from my system's version (9.1.5) to the latest release (9.2.3). I've followed the directions on this railscast and am encountering issues. After installing psql ...
0
votes
1answer
1k views

Homebrew postgres won't start after uninstall, reinstall and reboot

I uninstalled and reinstalled postgresql via homebrew. It worked fine until I restarted my computer. Now I'm trying to run my tests and they're blowing up. I'm looking at the current processes and I ...
1
vote
2answers
3k views

“FATAL: lock file ”postmaster.pid“ already exists”

I just reinstalled postgres via brew install postgres I ran initdb /usr/local/var/postgres -E utf8 but got this: The files belonging to this database system will be owned by user "atal421". This ...
0
votes
1answer
323 views

I cannot get pg-0.14.0 gem installed after Mountain Lion install

I have been trying for some time now to get my Rails development environment back up since I upgraded from Lion to Mountain Lion. The problem is specifically installing the pg-0.14.0 (postgresql) gem. ...
10
votes
1answer
5k views

PostgreSQL homebrew installation lacks config files

So I successfully installed PostgreSQL 9.1 on MacOSX Lion. Unlike people say, I didn't have to change the PATH and no other version of PostgreSQL was installed on the system ($ psql --version shows ...
1
vote
0answers
831 views

Running Postgresql on OSX

I'm trying to install Postgresql on OSX Lion. I'm using Homebrew, so my installation consisted of doing brew install postgresql initdb /usr/local/var/postgres Now when I try to start ...
5
votes
1answer
7k views

How do I fix “Library not loaded: libssl.1.0.0.dylib” with PostgreSQL?

After deleting Macports, I've had some strange behaviour. When I try to run PostgreSQL via CLI, I get: pawel:~ pawel$ psql dyld: Library not loaded: /opt/local/lib/libssl.1.0.0.dylib Referenced ...
1
vote
1answer
583 views

Using PostgreSQL on Mac OS X Lion

I just got a new Mac with Lion installed on it. I then installed Xcode (4.1 through the App Store). Next, I installed Homebrew and I was about to do brew install postgresql like I had done on Snow ...